| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | Private Attributes

# IG::Lib::SerializerBase::SerializationTestClass Class Reference

Test class for testing serialization. More...

Inheritance diagram for IG::Lib::SerializerBase::SerializationTestClass:
[legend]
Collaboration diagram for IG::Lib::SerializerBase::SerializationTestClass:
[legend]

List of all members.

## Public Member Functions
| SerializationTestClass ()
| SerializationTestClass (string objectName)
override string | ToString ()
virtual void | InitTestObject (int d1, int d2, int dim3d1, int dim3d2, int dim3d3)
| Initializes the test object.
## Static Public Member Functions
static SerializationTestClass | CreateTestObject ()
static SerializationTestClass | CreateTestObject (int d1, int d2, int dim3d1, int dim3d2, int dim3d3)
| Creates an object for testing serialization.
## Protected Member Functions
virtual void | InitTestArray3D (int d1, int d2, int d3)
| Initializes the 3D array on test object.
## Properties
virtual string | ObjectName`[get, set]`
virtual string | ObjectNameModified`[get, set]`
virtual double | DNum`[get, set]`
virtual bool | BFlag`[get, set]`
virtual SerializationTestArrayMember | SingleElement`[get, set]`
virtual SerializationTestArrayMember[] | Array1D`[get, set]`
virtual SerializationTestArrayMember[][] | JaggedArray2D`[get, set]`
double[][][] | ZArray3D`[get, set]`
| Three dimensional array of doubles.
## Private Attributes
string | _objectName
string | _objectNameModified
double | _dnum
bool | _bflag
SerializationTestArrayMember | _singleElement
SerializationTestArrayMember[] | _testArray
SerializationTestArrayMember[][] | _testJaggedArray2d
SerializationTestArrayMember[,] | _rectangularArray2d
double[][][] | _array3D

## Detailed Description

Test class for testing serialization.

$A Igor Jun10;

## Constructor & Destructor Documentation

IG::Lib::SerializerBase::SerializationTestClass::SerializationTestClass | ( |  | ) | `[inline]`

IG::Lib::SerializerBase::SerializationTestClass::SerializationTestClass | ( | string | objectName | ) | `[inline]`

## Member Function Documentation

override string IG::Lib::SerializerBase::SerializationTestClass::ToString | ( |  | ) | `[inline]`

virtual void IG::Lib::SerializerBase::SerializationTestClass::InitTestArray3D | ( | int | d1,
|  | int | d2,
|  | int | d3
| ) |  | `[inline, protected, virtual]`

Initializes the 3D array on test object.

Parameters:

  d1 | First dimension.
  d2 | Second dimension.
  d3 | Third dimension.

virtual void IG::Lib::SerializerBase::SerializationTestClass::InitTestObject | ( | int | d1,
|  | int | d2,
|  | int | dim3d1,
|  | int | dim3d2,
|  | int | dim3d3
| ) |  | `[inline, virtual]`

Initializes the test object.

Parameters:

  d1 | First dimension for 2D arrays of objects.
  d2 | Second dimension for 2D arrays of objects.
  dim3d1 | First dimension for 3D plain array.
  dim3d2 | Second dimension for 3D plain arrray.
  dim3d3 | Third dimension for 3D plain array.

static SerializationTestClass IG::Lib::SerializerBase::SerializationTestClass::CreateTestObject | ( |  | ) | `[inline, static]`

static SerializationTestClass IG::Lib::SerializerBase::SerializationTestClass::CreateTestObject | ( | int | d1,
|  | int | d2,
|  | int | dim3d1,
|  | int | dim3d2,
|  | int | dim3d3
| ) |  | `[inline, static]`

Creates an object for testing serialization.

Parameters:

  d1 | First dimension for 2D arrays of objects.
  d2 | Second dimension for 2D arrays of objects.
  dim3d1 | First dimension for 3D plain array.
  dim3d2 | Second dimension for 3D plain arrray.
  dim3d3 | Third dimension for 3D plain array.

Returns:
  Object of class SerializationTestClass that can be used to test serialization.

## Member Data Documentation

string IG::Lib::SerializerBase::SerializationTestClass::_objectName`[private]`

string IG::Lib::SerializerBase::SerializationTestClass::_objectNameModified`[private]`

double IG::Lib::SerializerBase::SerializationTestClass::_dnum`[private]`

bool IG::Lib::SerializerBase::SerializationTestClass::_bflag`[private]`

SerializationTestArrayMember IG::Lib::SerializerBase::SerializationTestClass::_singleElement`[private]`

SerializationTestArrayMember [] IG::Lib::SerializerBase::SerializationTestClass::_testArray`[private]`

SerializationTestArrayMember [][] IG::Lib::SerializerBase::SerializationTestClass::_testJaggedArray2d`[private]`

SerializationTestArrayMember [,] IG::Lib::SerializerBase::SerializationTestClass::_rectangularArray2d`[private]`

double [][][] IG::Lib::SerializerBase::SerializationTestClass::_array3D`[private]`

## Property Documentation

virtual string IG::Lib::SerializerBase::SerializationTestClass::ObjectName`[get, set]`

Implements IG::Lib::SerializerBase::ISerializationTestClass.

virtual string IG::Lib::SerializerBase::SerializationTestClass::ObjectNameModified`[get, set]`

Implements IG::Lib::SerializerBase::ISerializationTestClass.

virtual double IG::Lib::SerializerBase::SerializationTestClass::DNum`[get, set]`

Implements IG::Lib::SerializerBase::ISerializationTestClass.

virtual bool IG::Lib::SerializerBase::SerializationTestClass::BFlag`[get, set]`

virtual SerializationTestArrayMember IG::Lib::SerializerBase::SerializationTestClass::SingleElement`[get, set]`

Implements IG::Lib::SerializerBase::ISerializationTestClass.

virtual SerializationTestArrayMember [] IG::Lib::SerializerBase::SerializationTestClass::Array1D`[get, set]`

Implements IG::Lib::SerializerBase::ISerializationTestClass.

virtual SerializationTestArrayMember [][] IG::Lib::SerializerBase::SerializationTestClass::JaggedArray2D`[get, set]`

Implements IG::Lib::SerializerBase::ISerializationTestClass.

double [][][] IG::Lib::SerializerBase::SerializationTestClass::ZArray3D`[get, set]`

Three dimensional array of doubles.

The documentation for this class was generated from the following file:

- SerializerBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events